{{/*
SPDX-FileCopyrightText: 2023 Bundesministerium des Innern und für Heimat, PG ZenDiS "Projektgruppe für Aufbau ZenDiS"
SPDX-License-Identifier: Apache-2.0
*/}}
---
apiVersion: "v1"
kind: "Service"
metadata:
  name: "jitsi-keycloak-adapter"
  namespace: {{ include "common.names.namespace" . | quote }}
  labels:
    {{- include "common.labels.standard" . | nindent 4 }}
  {{- if .Values.service.annotations }}
  annotations:
    {{- if .Values.service.annotations }}
    {{- include "common.tplvalues.render" ( dict "value" .Values.service.annotations "context" $ ) | nindent 4 }}
    {{- end }}
  {{- end }}
spec:
  type: {{ .Values.service.type | quote }}
  ports:
    {{- range $key, $value := .Values.service.ports }}
    - name: {{ $key | quote }}
      port: {{ $value.port }}
      targetPort: {{ $value.port }}
      protocol: {{ $value.protocol | default "TCP" | quote }}
      {{- if and $value.nodePort (not (eq $.Values.service.type "ClusterIP")) }}
      nodePort: {{ $value.nodePort }}
      {{- end }}
    {{- end }}
  selector:
    {{- include "common.labels.matchLabels" . | nindent 4 }}
...
